!!! warning "这是一个自动生成的翻译"

    本文内容为翻译版本，旨在为用户提供方便。
    我们已经尽力确保翻译的准确性。
    但请注意，翻译内容可能包含错误，仅供参考。
    请以英文[原文](license-faq.md)为准。

    为满足合规性与执法要求，翻译文档中的任何不准确或歧义之处均不具有约束力，也不具备法律效力。

# 许可协议常见问题解答

本许可协议常见问题解答（FAQ）阐明了由 DanLing 团队（也称为 DanLing）（“我们”、“我方”或“我们的”）提供的 MultiMolecule 项目（“MultiMolecule”）中 MultiMolecule 组件的使用条款和条件。
本 FAQ 作为 [GNU Affero 通用公共许可证（AGPL）](license.zh.md)（“许可证”）的附录，并以引用方式纳入其中。
本 FAQ 和许可证共同构成您与我们之间关于您使用 MultiMolecule 的完整协议（“协议”）。
本 FAQ 中使用但未定义的大写术语具有 AGPL 中赋予它们的含义。

## 0. 要点摘要

本摘要重点介绍了我们许可的关键方面。有关更多详细信息，请参阅下面的相应部分并阅读[许可证](license.md)。

<div class="grid cards" markdown>

!!! question "在 MultiMolecule 中，什么是源代码和目标代码？"

    源代码包括开发、训练、评估、运行一个模型所需的全部材料，包括数据、代码、配置和文档。目标代码包括模型权重。

    [:octicons-arrow-right-24: 在 MultiMolecule 中，什么是源代码和目标代码？](#1-multimolecule)

!!! question "我是否需要共享我训练的模型？"

    是的，任何模型必须根据协议条款提供，同时提供相应源代码。

    [:octicons-arrow-right-24: 我是否需要共享我训练的模型？](#2)

!!! question "我是否需要共享用于训练的数据？"

    是的，所有用于训练模型的数据必须根据协议条款提供。

    [:octicons-arrow-right-24: 我是否需要共享用于训练的数据？](#3)

!!! question "我需要致谢 MultiMolecule 吗？"

    是的，如果您在研究论文或其他项目中使用 MultiMolecule，则需要致谢 MultiMolecule。

    [:octicons-arrow-right-24: 我需要致谢 MultiMolecule 吗？](#4-multimolecule)

!!! question "我可以使用 MultiMolecule 发表研究论文吗？"

    视情况而定。您可以在某些开放获取和非盈利性场所发表研究论文。对于封闭获取或作者付费的场所，您必须获得单独的许可。

    [:octicons-arrow-right-24: 我可以使用 MultiMolecule 发表研究论文吗？](#5-multimolecule)

!!! question "在某些场所发表研究论文是否有任何限制？"

    是的，在某些场所发表研究论文有一些限制。

    [:octicons-arrow-right-24: 在某些场所发表研究论文的限制](#6)

!!! question "我可以将 MultiMolecule 用于商业目的吗？"

    是的，您可以根据协议条款将 MultiMolecule 用于商业目的。

    [:octicons-arrow-right-24: 我可以将 MultiMolecule 用于商业目的吗？](#7-multimolecule)

!!! question "MultiMolecule 协作者社否有特别权利？"

    是的，根据许可证第7章，受认可的协作者被授予特定的额外权利。

    [:octicons-arrow-right-24: MultiMolecule 协作者社否有特别权利？](#8-multimolecule)

</div>

## 1. 在 MultiMolecule 中，什么是源代码和目标代码？

对于 MultiMolecule 项目提供的所有材料，以下定义阐明和补充[许可证](license.md)：

!!! note "源代码"

    **源代码** 是指根据本协议许可的材料中，用于对其进行修改的首选形式，与许可证第 1 条保持一致。它包含开发、训练、评估和运行模型所需的所有材料。

源代码包括但不限于：

- **数据**：以处理所需的形式提供的、用于训练、评估或微调所提供或生成的模型的数据集。
- **代码**：处理数据、训练模型、执行评估、部署模型或以其他方式操作和修改许可材料所需的所有脚本、程序、库（包括模型架构和流程定义）和实用工具的源代码。
- **配置**：控制许可材料相关的安装、编译、训练、评估或执行过程的配置文件、设置参数、环境规范以及任何脚本。
- **文档**：接口定义文件、构建说明、手册、指南、描述所使用的具体方法、架构和参数的相关研究论文，以及理解、安装、操作和修改许可材料所需的任何其他技术文档。

*提供此处定义的源代码是满足在传递目标代码或提供网络访问时根据[许可证](license.md)提供“相应源代码”要求所必需的。*

!!! note "目标代码"

    **目标代码** 是指根据本协议许可的材料中，除源代码之外的任何形式。

目标代码主要包括但不限于：

- **模型权重**：代表模型训练后学到的状态的数值参数（例如，SafeTensors、HDF5 或类似格式的文件）。
- **已编译代码**：任何非人类可读源代码形式的可执行软件代码，例如有时在 Python 包中可以找到的已编译 C++ 扩展。

## 2. 我是否需要共享我训练的模型？

是的，您必须根据协议条款使您训练的模型和其权重可用。

如本 FAQ 第 1 节所定义，模型权重在 MultiMolecule 中被视为目标代码。因此，除了提供修改后的模型权重外，您还必须提供相应源代码，如[许可证](license.md)第 1 节所定义并在本 FAQ 第 1 节中扩展说明的，以复现修改后的模型。这包括但不限于训练过程中使用的任何代码、数据、配置文件和脚本，以及修改后的模型权重本身。

如果您出于任何目的使用本工作，您有义务根据协议条款提供所有相关材料，包括代码、数据集和模型。这种方法可确保所有增强功能、修改和相关资源对社区保持自由可用。

## 3. 我是否需要共享用于训练的数据？

是的，您必须根据协议条款提供用于训练的数据集。

如本 FAQ 第 1 节所定义，用于训练的数据被视为源代码的一部分。因此，他属于[许可证](license.md)要求的相应源代码定义范畴。此义务确保其他人可以使用用于训练这些模型的相同数据输入来复现或进一步开发模型。

此要求特别适用于用于训练、更新或修改模型权重的数据。_仅_ 用于评估模型性能的数据（例如，在私有测试集上运行推理）**无需** 根据此规定提供，前提是该数据未被用于该模型的任何训练中。

## 4. 我需要致谢 MultiMolecule 吗？

是的，您需要致谢 MultiMolecule，如果您在研究论文或其他项目中使用它。

!!! paper "研究论文"

    研究论文应包含对 MultiMolecule 项目的正式引用。

任何利用本工作的研究论文 _都应包含_ 对 MultiMolecule 项目的正式引用。具体的引用格式可能因出版场所的风格指南而异，但至少必须包含项目名称（“MultiMolecule”）和DOI（[10.5281/zenodo.12638419](https://doi.org/10.5281/zenodo.12638419)）。如果由于场所限制无法进行正式引用，则 _应_ 在致谢部分提及 MultiMolecule 项目名称和 DOI。

!!! code "项目"

    其他项目应包含对 MultiMolecule 项目的适当致谢。

任何其他利用 MultiMolecule 的项目（包括软件、网络服务和其他衍生作品）_都应提供_ 对 MultiMolecule 项目的适当致谢。

- **软件**：任何利用 MultiMolecule 的软件必须在其文档中包含 MultiMolecule 项目名称和 URL 的显著显示。此外，在每次启动生成的程序（或任何依赖于它的程序）时，_都应_ 向用户呈现 MultiMolecule 项目名称和 URL 的显著显示（例如，启动屏幕或横幅文本）。
- **网络服务**：任何利用 MultiMolecule 的网络服务必须在服务的主页或其他易于访问的位置包含 MultiMolecule 项目名称和 URL 的显著显示。
- **其他衍生作品**：任何其他衍生作品必须包含明确的致谢。

## 5. 我可以使用 MultiMolecule 发表研究论文吗？

任何使用 MultiMolecule 的出版物，无论出版场所如何，_必须包含_ 对 MultiMolecule 项目的正式引用，如第 4 节所述。

!!! success "开放获取"

    您可以在钻石开放获取场所发表研究论文。

您可以在完全开放获取的期刊、会议或平台上发表研究论文，这些期刊、会议或平台不对作者或读者收取费用，前提是所有已发表的手稿均根据以下允许共享手稿的许可证之一提供：

- [GNU 自由文档许可证 (GFDL)](https://www.gnu.org/licenses/fdl.html)
- [知识共享许可证](https://creativecommons.org/licenses)
- [OSI 批准的许可证](https://opensource.org/licenses)

此许可是根据[许可证](license.md)第 7 节授予的额外许可。

!!! warning "非盈利"

    您可以在某些非盈利性场所发表研究论文。

您可以在某些非盈利性期刊、会议或平台上发表研究论文。具体来说，这包括：

- [美国科学促进会 (AAAS) 出版的所有期刊](https://www.aaas.org/journals)
- [eLife](https://elifesciences.org)

此许可是根据[许可证](license.md)第 7 节授予的额外许可。

!!! failure "封闭获取/作者付费"

    您必须获得单独的许可才能在封闭获取/作者付费场所发表。

我们不赞成在封闭获取或作者付费场所发表。在封闭获取或作者付费场所发表需要 _事先_ 获得我们的单独书面许可协议。此类协议可能涉及共同作者身份或对项目的财务贡献等条件。

## 6. 在某些场所发表研究论文的限制

我们认为，免费和开放获取研究是机器学习社区的基石。受[《自然-机器智能》声明](https://openaccess.engineering.oregonstate.edu)以及持续的[零成本开放获取](https://diamasproject.eu)文化的启发，我们认为研究应该在没有作者或读者障碍的情况下普遍可访问。

以下出版场所采用封闭获取或作者付费模式，这与这些基本价值观相矛盾。我们认为这种做法是机器学习研究传播演变中的倒退，它破坏了社区促进开放协作和知识共享的努力：

- [《自然-机器智能》](https://www.nature.com/natmachintell)

我们强烈建议不要在上述场所发表使用 MultiMolecule 的作品，因为它们采用封闭获取或作者付费模式。

**尽管根据[许可证](license.md)第 7 节或通过与我们签订的任何单独书面许可协议授予了任何额外许可，但在上述场所发表 _未经授权_，除非该单独协议明确且具体地另有说明。** 此限制优先于此类额外许可或协议中的任何其他条款，并取代任何先前的弃权、豁免或许可，除非附加条款明确声明其优先于本节。

## 7. 我可以将 MultiMolecule 用于商业目的吗？

可以！您可以将 MultiMolecule 用于商业目的，前提是您遵守协议的所有条款。这包括根据协议条款提供 MultiMolecule 任何修改版本的相应源代码（如[许可证](license.md)第 1 节和本 FAQ 第 1 节中所定义）以及任何相关工件（包括您的训练数据（如第 3 节所阐明）和训练模型（如第 2 节所阐明））的要求。

如果您希望将 MultiMolecule 用于商业目的而不根据[许可证](license.md)提供您的修改和相关材料，则必须获得我们的单独书面许可协议。这可能涉及支持该项目的财务贡献。请通过 [license@danling.org](mailto:license@danling.org) 与我们联系以获取更多详细信息。

## 8. MultiMolecule 协作者是否有特殊权限？

是的！如果您是 MultiMolecule 项目的协作者（由 DanLing 团队认可），您有权根据[许可证](license.md)第 7 节获得以下额外权限：

!!! tip "内部网络使用豁免"
    协作者在涉及修改后的本工作的内部研发网络使用方面，获得 AGPL 第 13 节源代码共享义务的豁免。

尽管有[许可证](license.md)第 13 节的规定，作为受认可的协作者，您无需向通过计算机网络与已修改的 MultiMolecule（包括根据本协议许可的代码、模型或数据）远程交互的用户提供相应源代码，_前提是_ 此类交互仅用于其各自团队内部的研究和开发目的。

!!! success "扩展的论文发表权限"
    与第 5 节相比，协作者获得扩展的论文发表权限，允许使用大多数同行评审的场所。

您可以在任何同行评审的科学场所（包括期刊和会议论文集，无论其访问模式或作者费用如何）发表利用 MultiMolecule 的研究论文，或发布预印本（例如，在 arXiv 上）。此权限意味着您不受第 5 节中提到的特定类型场所或手稿许可证的限制，并且无需获得我们的单独许可协议以发表。**根据本 FAQ 第 6 节，此扩展权限 _不_ 适用于某些列出的场所。** 因此，在本协议授予的额外权限范围内不涵盖在此类场所发表。您仍必须遵守第 4 节中描述的致谢和引用要求。

!!! warning "关于出版物的源代码发布时间"
    协作者在发布与出版物相关的源代码的时间方面有特定条件（接受或预印本发布后 366 天）。

以下条件适用于在[许可证](license.md)要求时（例如，在转让时或对于上述豁免未涵盖的网络使用）提供修改的相应源代码的时间安排：如果您的修改用于手稿中描述的研究，则根据[许可证](license.md)公开提供相应源代码的义务将在以下事件中 **首先发生** 的事件 **触发**：

- a) 手稿在同行评审场所（例如期刊、会议论文集）被正式 _接受_ 发表。
- b) 自手稿首次发布在公共预印本服务器（例如 arXiv）上已过去 366 天。

您必须在第一个适用触发事件发生时立即提供相应源代码。如果修改的转让或使用方式与出版物或预印本无关，则适用[许可证](license.md)关于源代码提供时间的标准条款。

**适用于协作者权限的一般条件：**
这些权限仅授予由 DanLing 团队认可的活跃、受邀的协作者。未被这些额外权限明确修改的[许可证](license.md)和本 FAQ 的所有其他规定仍然完全有效。这些额外权限不可转让且不可再许可。

DanLing 团队可以通过书面沟通，根据具体情况授予协作者额外的特定权限。

## 9. 如果我的组织禁止使用 AGPL 许可下的代码，我如何使用 MultiMolecule？

某些组织，例如 [Google](https://opensource.google/documentation/reference/using/agpl-policy)，禁止使用 AGPL 许可的代码。如果您隶属于一个不允许使用 AGPL 许可软件的组织，您必须获得我们的单独许可才能使用 MultiMolecule。

要请求单独的许可，请通过 [license@danling.org](mailto:license@danling.org) 与我们联系。

## 10. 如果我是美国政府的联邦雇员，我可以使用 MultiMolecule 吗？

根据[美国法典第 17 卷第 105 条](https://www.law.cornell.edu/uscode/text/17/105)，美国政府的联邦雇员以其官方身份行事时创作的作品通常在美国境内不受版权保护。因此，此类雇员可能普遍无法遵守本协议中基于版权的许可义务（该义务要求根据 AGPL 授予修改的许可），故被排除在其官方身份下根据本协议使用 MultiMolecule。

## 11. 我们会更新此 FAQ 吗？

!!! tip "简而言之"

    是的，我们将根据需要更新此 FAQ，以保持符合相关法律。

我们可能会不时更新此许可 FAQ。
更新后的版本将在此许可 FAQ 底部的“上次修订时间”中注明。
如果我们进行任何重大更改，我们将通过在此页面上发布新的许可 FAQ 来通知您。
由于我们不收集您的任何联系信息，因此无法直接通知您。
我们鼓励您经常查看此许可 FAQ，以随时了解您如何使用我们的数据、模型、代码、配置和文档。
